﻿CREATE TABLE [dbo].[StaginTrend] (
    [Id]                          UNIQUEIDENTIFIER NOT NULL,
    [ImportId]                    UNIQUEIDENTIFIER NULL,
    [Project]                     NVARCHAR (255)   NULL,
    [TrendName]                   NVARCHAR (MAX)   NULL,
    [Description]                 NVARCHAR (255)   NULL,
    [TrendStatus]                 NVARCHAR (255)   NULL,
    [Importance]                  NVARCHAR (255)   NULL,
    [ImpactDirection]             NVARCHAR (255)   NULL,
    [TrendValue]                  NVARCHAR (255)   NULL,
    [Category]                    NVARCHAR (255)   NULL,
    [CompanyGroup]                NVARCHAR (255)   NULL,
    [CompanyGroupImpact]          NVARCHAR (255)   NULL,
    [CompanyGroupEndUser]         NVARCHAR (255)   NULL,
    [Company]                     NVARCHAR (255)   NULL,
    [Country]                     NVARCHAR (255)   NULL,
    [CountryImpact]               NVARCHAR (255)   NULL,
    [CountryEndUser]              NVARCHAR (255)   NULL,
    [EcoSystem]                   NVARCHAR (255)   NULL,
    [EcoSystemImpact]             NVARCHAR (255)   NULL,
    [EcoSystemEndUser]            NVARCHAR (255)   NULL,
    [TrendKeyWord]                NVARCHAR (255)   NULL,
    [Industry]                    NVARCHAR (255)   NULL,
    [IndustryImpact]              NVARCHAR (255)   NULL,
    [IndustryEndUser]             NVARCHAR (255)   NULL,
    [Market]                      NVARCHAR (255)   NULL,
    [Region]                      NVARCHAR (255)   NULL,
    [RegionImpact]                NVARCHAR (255)   NULL,
    [RegionEndUser]               NVARCHAR (255)   NULL,
    [MarketImpact]                NVARCHAR (255)   NULL,
    [MarketEndUser]               NVARCHAR (255)   NULL,
    [Project1]                    NVARCHAR (255)   NULL,
    [ProjectImpact]               NVARCHAR (255)   NULL,
    [ProjectEndUser]              NVARCHAR (255)   NULL,
    [StrengthtType]               NVARCHAR (255)   NULL,
    [StrengthDescription]         NVARCHAR (255)   NULL,
    [WeaknessType]                NVARCHAR (255)   NULL,
    [WeaknessDescription]         NVARCHAR (255)   NULL,
    [OpportunityType]             NVARCHAR (255)   NULL,
    [OpportunityDescription]      NVARCHAR (255)   NULL,
    [ThreatType]                  NVARCHAR (255)   NULL,
    [ThreatDescription]           NVARCHAR (255)   NULL,
    [TimeTag]                     NVARCHAR (255)   NULL,
    [TimeTagImpact]               NVARCHAR (255)   NULL,
    [TimeTagEndUser]              NVARCHAR (255)   NULL,
    [ValueConversion]             NVARCHAR (255)   NULL,
    [Rationale_2018]              NVARCHAR (255)   NULL,
    [Value_2018]                  NVARCHAR (255)   NULL,
    [Rationale_2019]              NVARCHAR (255)   NULL,
    [Value_2019]                  NVARCHAR (255)   NULL,
    [Rationale_2020]              NVARCHAR (255)   NULL,
    [Value_2020]                  NVARCHAR (255)   NULL,
    [Rationale_2021]              NVARCHAR (255)   NULL,
    [Value_2021]                  NVARCHAR (255)   NULL,
    [Rationale_2022]              NVARCHAR (255)   NULL,
    [Value_2022]                  NVARCHAR (255)   NULL,
    [Rationale_2023]              NVARCHAR (255)   NULL,
    [Value_2023]                  NVARCHAR (255)   NULL,
    [Rationale_2024]              NVARCHAR (255)   NULL,
    [Value_2024]                  NVARCHAR (255)   NULL,
    [Rationale_2025]              NVARCHAR (255)   NULL,
    [Value_2025]                  NVARCHAR (255)   NULL,
    [Rationale_2026]              NVARCHAR (255)   NULL,
    [Value_2026]                  NVARCHAR (255)   NULL,
    [Rationale_2027]              NVARCHAR (255)   NULL,
    [Value_2027]                  NVARCHAR (255)   NULL,
    [Rationale_2028]              NVARCHAR (255)   NULL,
    [Value_2028]                  NVARCHAR (255)   NULL,
    [Rationale_2029]              NVARCHAR (255)   NULL,
    [Value_2029]                  NVARCHAR (255)   NULL,
    [Rationale_2030]              NVARCHAR (255)   NULL,
    [Value_2030]                  NVARCHAR (255)   NULL,
    [Rationale_2031]              NVARCHAR (255)   NULL,
    [Value_2031]                  NVARCHAR (255)   NULL,
    [Rationale_2032]              NVARCHAR (255)   NULL,
    [Value_2032]                  NVARCHAR (255)   NULL,
    [CompanyGroup_ApproverRemark] NVARCHAR (MAX)   NULL,
    [CompanyGroup_AuthorRemark]   NVARCHAR (MAX)   NULL,
    [CompanyGroup_TrendStatus]    NVARCHAR (255)   NULL,
    [EcoSystem_ApproverRemark]    NVARCHAR (MAX)   NULL,
    [EcoSystem_AuthorRemark]      NVARCHAR (MAX)   NULL,
    [EcoSystem_TrendStatus]       NVARCHAR (255)   NULL,
    [Industry_ApproverRemark]     NVARCHAR (MAX)   NULL,
    [Industry_AuthorRemark]       NVARCHAR (MAX)   NULL,
    [Industry_TrendStatus]        NVARCHAR (MAX)   NULL,
    [KeyCompany_ApproverRemark]   NVARCHAR (MAX)   NULL,
    [KeyCompany_AuthorRemark]     NVARCHAR (MAX)   NULL,
    [KeyCompany_TrendStatus]      NVARCHAR (255)   NULL,
    [keyword_ApproverRemark]      NVARCHAR (MAX)   NULL,
    [keyword_AuthorRemark]        NVARCHAR (MAX)   NULL,
    [keyword_TrendStatus]         NVARCHAR (255)   NULL,
    [Market_ApproverRemark]       NVARCHAR (MAX)   NULL,
    [Market_AuthorRemark]         NVARCHAR (MAX)   NULL,
    [Market_TrendStatus]          NVARCHAR (255)   NULL,
    [Project_ApproverRemark]      NVARCHAR (MAX)   NULL,
    [Project_AuthorRemark]        NVARCHAR (MAX)   NULL,
    [Project_TrendStatus]         NVARCHAR (255)   NULL,
    [Region_ApproverRemark]       NVARCHAR (MAX)   NULL,
    [Region_AuthorRemark]         NVARCHAR (MAX)   NULL,
    [Region_TrendStatus]          NVARCHAR (255)   NULL,
    [TimeTag_ApproverRemark]      NVARCHAR (MAX)   NULL,
    [TimeTag_AuthorRemark]        NVARCHAR (MAX)   NULL,
    [TimeTag_TrendStatus]         NVARCHAR (255)   NULL,
    [Value_ApproverRemark]        NVARCHAR (MAX)   NULL,
    [Value_AuthorRemark]          NVARCHAR (MAX)   NULL,
    [Value_TrendStatus]           NVARCHAR (255)   NULL,
    CONSTRAINT [PK_StaginTrend] PRIMARY KEY CLUSTERED ([Id] ASC)
);

